Index: /branches/2.4/language/de_DE/install.lang.php
===================================================================
--- /branches/2.4/language/de_DE/install.lang.php	(revision 16298)
+++ /branches/2.4/language/de_DE/install.lang.php	(revision 16299)
@@ -26,54 +26,55 @@
 $lang['Default gallery language'] = 'Standardsprache der Galerie';
 $lang['Database configuration'] = 'Konfiguration der Datenbank';
-$lang['Admin configuration'] = 'Konfiguration des Administrator-Kontos';
+$lang['Admin configuration'] = 'Konfiguration des Administrator-Accounts';
 $lang['Start Install'] = 'Start der Installation';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'Die E-Mail-Adresse muss in der Form xxx@yyy.eee (Beispiel: jack@altern.org)';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'Die E-Mail-Adresse muss dem Muster xxx@yyy.eee (Beispiel: jack@altern.org) entsprechen.';
 
-$lang['Webmaster login'] = 'Administrator';
+$lang['Webmaster login'] = 'Webmaster-Login';
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'Benutzername des Administrators';
 
-$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Die Verbindung zum Server ist OK, aber nicht die Verbindung zu dieser Datenbank';
-$lang['Can\'t connect to server'] = 'Es konnte keine Verbindung zum Datenbankserver aufgebaut werden';
+$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Eine Verbindung zum Server konnte hergestellt werden, nicht aber zur Datenbank.';
+$lang['Can\'t connect to server'] = 'Es konnte keine Verbindung zum Datenbankserver aufgebaut werden.';
 
-$lang['Host'] = 'MySQL Host';
+$lang['Host'] = 'MySQL-Host';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
 $lang['User'] = 'Benutzer';
-$lang['user login given by your host provider'] = 'Benutzernamen für die MySQL Datenbank';
+$lang['user login given by your host provider'] = 'Benutzername Ihrer MySQL-Datenbank (wie von Ihrem Hosting-Provider angegeben)';
 $lang['Password'] = 'Passwort';
-$lang['user password given by your host provider'] = 'Passwort für die MySQL Datenbank (von ihrem Hosting-Provider)';
+$lang['user password given by your host provider'] = 'Passwort Ihrer MySQL-Datenbank (wie von Ihrem Hosting-Provider angegeben)';
 $lang['Database name'] = 'Name der Datenbank';
-$lang['also given by your host provider'] = '(bei MySQL auch von ihren Hosting-Provider gegeben)';
-$lang['Database table prefix'] = 'Präfix der Tabellen';
-$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'die Namen der Tabellen mit diesem Präfix (ermöglicht eine bessere Verwaltung der Datenbank)';
-$lang['enter a login for webmaster'] = 'gib bitte einen Benutzernamen für den Webmaster an';
-$lang['webmaster login can\'t contain characters \' or "'] = 'der Benutzername des Webmasters darf nicht die Zeichen \' und " enthalten';
-$lang['please enter your password again'] = 'Bitte wählen Sie ein Passwort';
-$lang['Webmaster password'] = 'Passwort';
-$lang['Keep it confidential, it enables you to access administration panel'] = 'Administratorpasswort';
+$lang['also given by your host provider'] = 'ebenso von Ihrem Host-Provider bereitgestellt';
+$lang['Database table prefix'] = 'Präfix der Datenbanktabellen';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'wird den Namen der Datenbanktabellen vorangestellt, damit Sie Ihre Tabellen einfacher verwalten können';
+$lang['enter a login for webmaster'] = 'Geben Sie einen Benutzernamen für den Webmaster an';
+$lang['webmaster login can\'t contain characters \' or "'] = 'Der Benutzername des Webmasters darf nicht die Zeichen \' und " enthalten';
+$lang['please enter your password again'] = 'Bitte geben Sie Ihr Passwort erneut ein';
+$lang['Webmaster password'] = 'Webmaster-Passwort';
+$lang['Keep it confidential, it enables you to access administration panel'] = 'Administrator-Passwort';
 $lang['Password [confirm]'] = 'Passwort [Bestätigung]';
 $lang['verification'] = 'Wiederholen Sie das eingegebene Passwort';
-$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Brauchen Sie Hilfe? Stellen Sie Ihre Frage auf der <a href="%s"> Forum Piwigo </ a>.';
-$lang['Webmaster mail address'] = 'Webmaster Mail-Adresse';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'Kontakt E-Mailadresse (nur für angemeldete Benutzer sichtbar)';
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Brauchen Sie Hilfe? Stellen Sie Ihre Fragen im <a href="%s"> Piwigo-Forum</ a>.';
+$lang['Webmaster mail address'] = 'Webmaster-E-Mail-Adresse';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'Kontakt-E-Mail-Adresse (nur für angemeldete Benutzer sichtbar)';
 
-$lang['PHP 5 is required'] = 'PHP 5 ist erforderlich';
-$lang['It appears your webhost is currently running PHP %s.'] = 'Warscheinlich läuft auf ihrem Webhost die PHP-Version %s.';
-$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo wird versuchen ihre Konfiguration auf PHP 5 zu schalten durch die Erstellung oder Änderung einer .htaccess-Datei.';
-$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Hinweis: Sie können Ihre Konfiguration manuel ändern und die Piwigo danach neu starten.';
-$lang['Try to configure PHP 5'] = 'Versuche PHP 5 zu konfigurieren';
-$lang['Sorry!'] = 'Entschuldigung!';
-$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo ist nicht in der Lage PHP 5 zu konfigurieren.';
+$lang['PHP 5 is required'] = 'PHP5 ist erforderlich';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Warscheinlich läuft auf Ihrem Server die PHP-Version %s.';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo wird versuchen, Ihre Konfiguration auf PHP5 umzustellen. Zu diesem Zweck wird eine .htaccess-Datei erstellt oder geändert.';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Hinweis: Sie können Ihre Konfiguration selbst ändern. Starten Sie Piwigo danach neu.';
+$lang['Try to configure PHP 5'] = 'Versuche PHP5 zu konfigurieren';
+$lang['Sorry!'] = 'Sorry!';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo ist nicht in der Lage PHP5 zu konfigurieren.';
 $lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Sie können Kontakt zu ihrem Hosting-Provider aufnehmen und um Unterstützung bitten zur Umstellung auf PHP 5.";
-$lang['Hope to see you back soon.'] = 'Wir hoffen, Sie sind bald wieder zurück.';
+$lang['Hope to see you back soon.'] = 'Hoffentlich sehen wir uns bald wieder!';
 
-$lang['Congratulations, Piwigo installation is completed'] = 'Glückwunsch, Sie haben Piwigo erfolgreich installiert';
+$lang['Congratulations, Piwigo installation is completed'] = 'Glückwunsch! Sie haben Piwigo erfolgreich installiert.';
 
-$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Eine andere Lösung ist, den Text im Kasten oben zu kopieren und ihn in die Datei "local/config/database.inc.php" einzufügen (Warnung: database.inc.php darf nur enthalten, was im Textbereich ist, keine Zeilenumbrüche (Enter) oder Leerzeichen)';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Sie können auch den Text in der Box unten kopieren und in die Datei local/config/database.inc.php einfügen. (Warnung: database.inc.php darf nur den reinen Text ohne Zeilenumbrüche und Leerzeichen enthalten.)';
 $lang['Creation of config file local/config/database.inc.php failed.'] = 'Die Erstellung der Datei local/config/database.inc.php ist fehlgeschlagen.';
 $lang['Download the config file'] = 'Lade die Konfigurationsdatei herunter';
-$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'SIe können die Konfigurationsdatei herunterladen und in den Ordner local/config ihrer Installation hochladen.';
-$lang['Just another Piwigo gallery'] = 'Nur eine neue Piwigo Bildgalerie';
-$lang['Welcome to my photo gallery'] = 'Willkommen bei meiner Bildgalerie';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Sie können die Konfigurationsdatei herunterladen und in das Verzeichnis local/config ihrer Installation hochladen.';
+$lang['Just another Piwigo gallery'] = 'Meine Piwigo-Fotogalerie';
+$lang['Welcome to my photo gallery'] = 'Willkommen!';
 $lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Besuchen Sie unser Forum, wenn Sie Hilfe benötigen: %s';
-$lang['Welcome to your new installation of Piwigo!'] = 'Willkommen zu Ihrer neuen Piwigo Installation!';
+$lang['Welcome to your new installation of Piwigo!'] = 'Ihre neue Piwigo-Installation heißt sie willkommen!';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Sie können Kontakt mit Ihrem Provider aufnehmen und um Unterstützung bei der Umstellung auf PHP5 bitten.';
 ?>
Index: /branches/2.4/language/de_DE/upgrade.lang.php
===================================================================
--- /branches/2.4/language/de_DE/upgrade.lang.php	(revision 16298)
+++ /branches/2.4/language/de_DE/upgrade.lang.php	(revision 16299)
@@ -26,17 +26,16 @@
 $lang['Statistics'] = 'Statistik';
 $lang['total upgrade time'] = 'benötigte Aktualisierungszeit';
-$lang['total SQL time'] = 'gesamte SQL Zeit';
-$lang['SQL queries'] = 'SQL Anfragen';
-$lang['Upgrade informations'] = 'Upgrade Informationen';
-$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Führen Sie eine Datenbanküberprüfung durch in [Verwaltung>Werkzeuge>Wartung] falls ein Problem auftritt.';
-$lang['Only administrator can run upgrade: please sign in below.'] = 'Nur Administratoren dürfen ein Upgrade durchführen. Bitte loggen Sie sich ein';
-$lang['You do not have access rights to run upgrade'] = 'Sie haben nicht die erforderlichen Rechte ein Upgrade durchzuführen';
-$lang['All sub-albums of private albums become private'] = 'Alle Sub-Alben von privaten Alben werden auch privat eigestellt';
-$lang['User permissions and group permissions have been erased'] = 'Alle Benutzer- und Gruppenberechtigungen/beschränkungen wurden entfernt';
-$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Es wurden nur die Thumbnail-Präfixe und die Mailadresse des Webmasters übernommen';
-$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Diese Seite hat vor, Ihre Datenbank entsprechend Ihrer alten Version von Piwigo zur gegenwärtigen Version zu aktualisieren.
-Der Upgradeassistent ist der Meinung sie haben folgende Version installiert <strong>release %s</strong> (oder identisch).';
-$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Plugins abgeschaltet. Prüfen Sie, ob ein Pluginupdate verfügbar ist, bevor Sie diese wieder aktivieren:';
-$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In der Datei <i>%s</i>, vor <b>?></b> folgendes einfügen:';
-$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Themen abgeschaltet. Prüfen Sie, ob ein Pluginupdate verfügbar ist, bevor Sie diese wieder aktivieren:';
+$lang['total SQL time'] = 'gesamte SQL-Zeit';
+$lang['SQL queries'] = 'SQL-Anfragen';
+$lang['Upgrade informations'] = 'Upgrade-Informationen';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Führen Sie eine Datenbanküberprüfung durch [Verwaltung>Werkzeuge>Wartung], falls Probleme auftreten sollten';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Nur Administratoren dürfen ein Upgrade durchführen. Bitte melden Sie sich unten an.';
+$lang['You do not have access rights to run upgrade'] = 'Sie haben nicht die erforderlichen Rechte, um ein Upgrade durchzuführen';
+$lang['All sub-albums of private albums become private'] = 'Alle Unteralben von privaten Alben werden privat';
+$lang['User permissions and group permissions have been erased'] = 'Alle Benutzer- und Gruppenberechtigungen wurden entfernt';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Es wurden nur das Vorschaubilder-Präfix und die E-Mail-Adresse des Webmasters aus der vorherigen Konfiguration übernommen';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Diese Seite schlägt vor, die Datenbank Ihrer alten Piwigo-Version zu aktualisieren. Der Upgrade-Assistent hat festgestellt, dass Sie gegenwärtig Version <strong>release %s</strong> (oder eine gleichwertige Version) benutzen.';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Plugins abgeschaltet. Überprüfen Sie, ob Plugin-Updates verfügbar sind, bevor Sie die Plugins wieder aktivieren:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In der Datei <i>%s</i> vor <b>?></b> Folgendes einfügen:';
+$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Themen abgeschaltet. Überprüfen Sie, ob Themen-Updates verfügbar sind, bevor Sie die Themen wieder aktivieren:';
 ?>
Index: /branches/2.4/language/el_GR/admin.lang.php
===================================================================
--- /branches/2.4/language/el_GR/admin.lang.php	(revision 16298)
+++ /branches/2.4/language/el_GR/admin.lang.php	(revision 16299)
@@ -320,5 +320,5 @@
 $lang['default values'] = 'προκαθορισμένες τιμές';
 $lang['default'] = 'προκαθορισμένο';
-$lang['delete album'] = 'προκαθορισμένο λεύκωμα';
+$lang['delete album'] = 'Διαγράψτε το λεύκωμα';
 $lang['delete photo'] = 'διαγραφή φωτογραφίας';
 $lang['delete this site and all its attached elements'] = 'διαγράψετε αυτό το site και όλες τις σχετικές πληροφορίες';
@@ -925,3 +925,4 @@
 $lang['Edit photo'] = 'Επεξεργασία φωτογραφίας';
 $lang['create a new site'] = 'δημιουργία νέας ιστοσελίδας';
+$lang['No order field selected'] = 'Δεν επιλέχτηκε διατεταγμένο πεδίο';
 ?>
